# List customers Lists and searches customers for the authenticated partner. Supports filters by cpf, external_id, and status to locate specific customers. Pagination uses cursor-based approach with the starting_after (last item ID) and limit (max 100) parameters. Endpoint: GET /customers Version: 2026-03-01 Security: bearerAuth ## Query parameters: - `external_id` (string) Filter by partner external reference - `cpf` (string) Filter by CPF - `sort` (string) Enum: "created_at", "updated_at", "name" - `order` (string) Enum: "asc", "desc" - `starting_after` (string) Prefixed ID of the last item from the previous page. - `limit` (integer) Number of items to return. Min: 1, Max: 100. ## Response 200 fields (application/json): - `data` (array, required) - `data.id` (string, required) - `data.status` (string, required) Enum: "pending_kyc", "under_review", "active" - `data.cpf` (string, required) Example: "123.456.789-00" - `data.cnpj` (string,null, required) Example: "12.345.678/0001-90" - `data.name` (string, required) Example: "Joao Silva" - `data.email` (string, required) Example: "joao@example.com" - `data.phone` (string, required) Example: "+5511999999999" - `data.trading_name` (string,null, required) Example: "Loja do Joao" - `data.external_id` (string,null, required) Example: "partner-ref-123" - `data.kyc` (array, required) - `data.kyc.kind` (string, required) document for document submissions, data for data field corrections Enum: "document", "data" - `data.kyc.type` (string, required) Document type key (e.g., ccmei, selfie, identity_card_front) Example: "ccmei" - `data.kyc.description` (string, required) Human-readable label Example: "Certificado MEI" - `data.kyc.message` (string,null, required) Present when rejected — from the review feedback - `data.kyc.uploaded_at` (string,null, required) - `data.created_at` (string, required) - `data.updated_at` (string, required) - `has_more` (boolean, required) ## Response 400 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 401 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 429 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string) ## Response 500 fields (application/problem+json): - `type` (string, required) URI identifying the error type - `title` (string, required) Short, human-readable summary of the problem type - `status` (integer, required) HTTP status code - `detail` (string, required) Human-readable explanation specific to this occurrence - `instance` (string) URI identifying this specific occurrence - `code` (string) Machine-readable subtype code - `param` (string) The request parameter that caused the error - `errors` (array) Field-level validation errors - `errors.param` (string, required) - `errors.detail` (string, required) - `errors.code` (string)